if (!defined &_SYS_CDEFS_H_) {
    eval 'sub _SYS_CDEFS_H_ {1;}';
    if ( defined( &__cplusplus)) {
	eval 'sub __BEGIN_DECLS {defined &extern && &extern "C" {;}';
	eval 'sub __END_DECLS {};;}';
    }
    else {
	eval 'sub __BEGIN_DECLS {1;}';
	eval 'sub __END_DECLS {1;}';
    }
    if ( defined( &__STDC__) || defined( &__cplusplus)) {
	eval 'sub __P {
	    local($protos) = @_;
	    eval "$protos";
	}';
	eval 'sub __CONCAT1 {
	    local($x,$y) = @_;
	    eval "$x ## $y";
	}';
	eval 'sub __CONCAT {
	    local($x,$y) = @_;
	    eval " &__CONCAT1($x,$y)";
	}';
	eval 'sub __STRING {
	    local($x) = @_;
	    eval "#$x";
	}';
	eval 'sub __const {defined &const && &const;}';
	eval 'sub __signed {defined &signed && &signed;}';
	eval 'sub __volatile {defined &volatile && &volatile;}';
	if ( defined( &__cplusplus)) {
	    eval 'sub __inline {defined &inline && &inline;}';
	}
	else {
	    if (!defined &__GNUC__) {
		eval 'sub __inline {1;}';
	    }
	}
    }
    else {
	eval 'sub __P {
	    local($protos) = @_;
	    eval "()";
	}';
	eval 'sub __CONCAT {
	    local($x,$y) = @_;
	    eval "defined &xy && &xy";
	}';
	eval 'sub __STRING {
	    local($x) = @_;
	    eval "\\"x\\"";
	}';
	if (!defined &__GNUC__) {
	    eval 'sub __const {1;}';
	    eval 'sub __inline {1;}';
	    eval 'sub __signed {1;}';
	    eval 'sub __volatile {1;}';
	    if (!defined &NO_ANSI_KEYWORDS) {
		eval 'sub const {1;}';
		eval 'sub inline {1;}';
		eval 'sub signed {1;}';
		eval 'sub volatile {1;}';
	    }
	}
    }
    if ( defined &__GNUC__ && &__GNUC__ < 2) {
	eval 'sub __dead {1;}';
	eval 'sub __dead2 {1;}';
	eval 'sub __pure {1;}';
	eval 'sub __pure2 {1;}';
	eval 'sub __attribute__ {
	    local($x) = @_;
	    eval "";
	}';
    }
    if ( defined &__GNUC__ && &__GNUC__ == 2 && defined &__GNUC_MINOR__ && &__GNUC_MINOR__ < 5) {
	eval 'sub __dead {defined &__volatile && &__volatile;}';
	eval 'sub __dead2 {1;}';
	eval 'sub __pure {defined &__const && &__const;}';
	eval 'sub __pure2 {1;}';
    }
    if ( defined &__GNUC__ && &__GNUC__ == 2 && defined &__GNUC_MINOR__ && &__GNUC_MINOR__ > 5 || defined &__GNUC__ && &__GNUC__ >= 3) {
	eval 'sub __dead {1;}';
	eval 'sub __dead2 { &__attribute__((defined &noreturn && &noreturn));}';
	eval 'sub __pure {1;}';
	eval 'sub __pure2 { &__attribute__((defined &const && &const));}';
    }
    if (defined &__GNUC__) {
	if (defined &__STDC__) {
	    eval 'sub __weak_reference {
	        local($sym,$alias) = @_;
	        eval " &__asm__(\\".stabs \\\\\\"_\\" #$alias \\"\\\\\\",11,0,0,0\\");  &__asm__(\\".stabs \\\\\\"_\\" #$sym \\"\\\\\\",1,0,0,0\\")";
	    }';
	    eval 'sub __warn_references {
	        local($sym,$msg) = @_;
	        eval " &__asm__(\\".stabs \\\\\\"\\" $msg \\"\\\\\\",30,0,0,0\\");  &__asm__(\\".stabs \\\\\\"_\\" #$sym \\"\\\\\\",1,0,0,0\\")";
	    }';
	}
	else {
	    eval 'sub __weak_reference {
	        local($sym,$alias) = @_;
	        eval " &__asm__(\\".stabs \\\\\\"_alias\\\\\\",11,0,0,0\\");  &__asm__(\\".stabs \\\\\\"_sym\\\\\\",1,0,0,0\\")";
	    }';
	    eval 'sub __warn_references {
	        local($sym,$msg) = @_;
	        eval " &__asm__(\\".stabs msg,30,0,0,0\\");  &__asm__(\\".stabs \\\\\\"_sym\\\\\\",1,0,0,0\\")";
	    }';
	}
    }
}
1;
