if (!defined &_SYS_LKM_H_) {
    eval 'sub _SYS_LKM_H_ {1;}';
    eval 'sub LKM_VERSION {1;}';
    eval 'sub MAXLKMNAME {32;}';
    if (defined &KERNEL) {
	eval 'sub LKM_E_LOAD {1;}';
	eval 'sub LKM_E_UNLOAD {2;}';
	eval 'sub LKM_E_STAT {3;}';
	eval 'sub MOD_SYSCALL {
	    local($name,$callslot,$sysentp) = @_;
	    eval "defined &static && &static struct lkm_syscall defined &_module && &_module = { defined &LM_SYSCALL && &LM_SYSCALL, defined &LKM_VERSION && &LKM_VERSION, $name, $callslot, $sysentp };";
	}';
	eval 'sub MOD_VFS {
	    local($name,$vfsslot,$vnodeops,$vfsconf) = @_;
	    eval "defined &static && &static struct lkm_vfs defined &_module && &_module = { defined &LM_VFS && &LM_VFS, defined &LKM_VERSION && &LKM_VERSION, $name, $vfsslot, $vnodeops, $vfsconf };";
	}';
	eval 'sub MOD_DEV {
	    local($name,$devtype,$devslot,$devp) = @_;
	    eval "defined &static && &static struct lkm_dev defined &_module && &_module = { defined &LM_DEV && &LM_DEV, defined &LKM_VERSION && &LKM_VERSION, $name, $devslot, $devtype, (defined &void && &void *)$devp };";
	}';
	eval 'sub MOD_EXEC {
	    local($name,$execslot,$execsw) = @_;
	    eval "defined &static && &static struct lkm_exec defined &_module && &_module = { defined &LM_EXEC && &LM_EXEC, defined &LKM_VERSION && &LKM_VERSION, $name, $execslot, $execsw };";
	}';
	eval 'sub MOD_MISC {
	    local($name) = @_;
	    eval "defined &static && &static struct lkm_misc defined &_module && &_module = { defined &LM_MISC && &LM_MISC, defined &LKM_VERSION && &LKM_VERSION, $name };";
	}';
	eval 'sub DISPATCH {
	    local($lkmtp,$cmd,$ver,$load,$unload,$stat) = @_;
	    eval "defined &if && &if ($ver != defined &LKM_VERSION && &LKM_VERSION) defined &return && &return defined &EINVAL && &EINVAL; defined &switch && &switch ($cmd) { \'int\' defined &error && &error; defined &case && &case defined &LKM_E_LOAD && &LKM_E_LOAD: $lkmtp->defined &private && &private.defined &lkm_any && &lkm_any = &defined &_module && &_module; defined &if && &if ( &lkmexists($lkmtp)) defined &return && &return defined &EEXIST && &EEXIST; defined &if && &if ($load != defined &nosys && &nosys && (defined &error && &error = $load($lkmtp, $cmd))) defined &return && &return defined &error && &error; defined &break && &break; defined &case && &case defined &LKM_E_UNLOAD && &LKM_E_UNLOAD: defined &if && &if ($unload != defined &nosys && &nosys && (defined &error && &error = $unload($lkmtp, $cmd))) defined &return && &return defined &error && &error; defined &break && &break; defined &case && &case defined &LKM_E_STAT && &LKM_E_STAT: defined &if && &if ($stat != defined &nosys && &nosys && (defined &error && &error = $stat($lkmtp, $cmd))) defined &return && &return defined &error && &error; defined &break && &break; } defined &return && &return  &lkmdispatch($lkmtp, $cmd);";
	}';
    }
    eval 'sub LMRESERV { &_IOWR(ord(\'K\'), 0, struct lmc_resrv);}';
    eval 'sub LMLOADBUF { &_IOW(ord(\'K\'), 1, struct lmc_loadbuf);}';
    eval 'sub LMUNRESRV { &_IO(ord(\'K\'), 2);}';
    eval 'sub LMREADY { &_IOW(ord(\'K\'), 3, int);}';
    eval 'sub LMLOAD { &_IOW(ord(\'K\'), 9, struct lmc_load);}';
    eval 'sub LMUNLOAD { &_IOWR(ord(\'K\'), 10, struct lmc_unload);}';
    eval 'sub LMSTAT { &_IOWR(ord(\'K\'), 11, struct lmc_stat);}';
    eval 'sub LMEXECINFO { &_IOWR(ord(\'K\'), 12, struct lmc_exec);}';
    eval 'sub LMLOADSYM { &_IOWR(ord(\'K\'), 13, struct lmc_loadbuf);}';
    eval 'sub MODIOBUF {512;}';
}
1;
