if (!defined &_SYS_REBOOT_H_) {
    eval 'sub _SYS_REBOOT_H_ {1;}';
    eval 'sub RB_AUTOBOOT {0;}';
    eval 'sub RB_ASKNAME {0x01;}';
    eval 'sub RB_SINGLE {0x02;}';
    eval 'sub RB_NOSYNC {0x04;}';
    eval 'sub RB_HALT {0x08;}';
    eval 'sub RB_INITNAME {0x10;}';
    eval 'sub RB_DFLTROOT {0x20;}';
    eval 'sub RB_KDB {0x40;}';
    eval 'sub RB_RDONLY {0x80;}';
    eval 'sub RB_DUMP {0x100;}';
    eval 'sub RB_MINIROOT {0x200;}';
    eval 'sub RB_CONFIG {0x400;}';
    eval 'sub RB_VERBOSE {0x800;}';
    eval 'sub RB_SERIAL {0x1000;}';
    eval 'sub RB_CDROM {0x2000;}';
    eval 'sub RB_BOOTINFO {0x80000000;}';
    eval 'sub B_ADAPTORSHIFT {24;}';
    eval 'sub B_ADAPTORMASK {0x0f;}';
    eval 'sub B_ADAPTOR {
        local($val) = @_;
        eval "((($val) >> defined &B_ADAPTORSHIFT && &B_ADAPTORSHIFT) & defined &B_ADAPTORMASK && &B_ADAPTORMASK)";
    }';
    eval 'sub B_CONTROLLERSHIFT {20;}';
    eval 'sub B_CONTROLLERMASK {0xf;}';
    eval 'sub B_CONTROLLER {
        local($val) = @_;
        eval "((($val)>>defined &B_CONTROLLERSHIFT && &B_CONTROLLERSHIFT) & defined &B_CONTROLLERMASK && &B_CONTROLLERMASK)";
    }';
    eval 'sub B_UNITSHIFT {16;}';
    eval 'sub B_UNITMASK {0xf;}';
    eval 'sub B_UNIT {
        local($val) = @_;
        eval "((($val) >> defined &B_UNITSHIFT && &B_UNITSHIFT) & defined &B_UNITMASK && &B_UNITMASK)";
    }';
    eval 'sub B_PARTITIONSHIFT {8;}';
    eval 'sub B_PARTITIONMASK {0xff;}';
    eval 'sub B_PARTITION {
        local($val) = @_;
        eval "((($val) >> defined &B_PARTITIONSHIFT && &B_PARTITIONSHIFT) & defined &B_PARTITIONMASK && &B_PARTITIONMASK)";
    }';
    eval 'sub B_TYPESHIFT {0;}';
    eval 'sub B_TYPEMASK {0xff;}';
    eval 'sub B_TYPE {
        local($val) = @_;
        eval "((($val) >> defined &B_TYPESHIFT && &B_TYPESHIFT) & defined &B_TYPEMASK && &B_TYPEMASK)";
    }';
    eval 'sub B_MAGICMASK {(0xf0000000);}';
    eval 'sub B_DEVMAGIC {(0xa0000000);}';
    eval 'sub MAKEBOOTDEV {
        local($type, $adaptor, $controller, $unit, $partition) = @_;
        eval "((($type) << defined &B_TYPESHIFT && &B_TYPESHIFT) | (($adaptor) << defined &B_ADAPTORSHIFT && &B_ADAPTORSHIFT) | (($controller) << defined &B_CONTROLLERSHIFT && &B_CONTROLLERSHIFT) | (($unit) << defined &B_UNITSHIFT && &B_UNITSHIFT) | (($partition) << defined &B_PARTITIONSHIFT && &B_PARTITIONSHIFT) | defined &B_DEVMAGIC && &B_DEVMAGIC)";
    }';
}
1;
