#!/usr/bin/perl
######################################################################
# Copyright 1995, 1996 Ipsilon Networks, Inc. All rights reserved.
#
# YOU MAY ONLY USE THE MATERIALS FOUND IN THIS FILE PURSUANT TO THE
# TERMS OF THE EVALUATION LICENSE AGREEMENT FOUND IN "/LICENSE".  ALL
# OTHER USES ARE EXPRESSLY PROHIBITED.
######################################################################

$WEBDIR = "/usr/local/www";
$CGIDIR = "$WEBDIR/cgi-bin";

#
# This file creates the live switch display
#
####### BEGIN MAIN ########
        push(@INC, "$CGIDIR");
        require 'mon-lib.pl';
	require "flush.pl";

        &ReadInput(*INPUT);
	&ParseData(*GLOBAL, $INPUT);

	$hostname = &IpswitchName();

        # Print out header
	print "HTTP/1.0 200 Script results follow\n";
#        &PrintButtonBar("NPHEADER", "IPX Ping from: $hostname");
        &DispHelp;

        local ($ipx_net, $ipx_node, $rep_val);
	$ipx_net = &GetValue($GLOBAL[0]);
	$ipx_node = &GetValue($GLOBAL[1]);
	$rep_val = &GetValue($GLOBAL[2]);
			
#	if( &IsIPAddr($ip_addr) ne 1 ) {
#	     print "<center>Invalid IP address: \"$ip_addr\"</center>";
#        }
#	elsif( $rep_val eq 0 ) {
#	     print "<center>Bad repeating count: \"$rep_val\"</center>";
#        }
#        else {

	     # Do ping
	     &ipxping($ipx_net, $ipx_node, $rep_val);
#        } 

        # Print out trailer
	print "<hr size=4>";
#        &PrintButtonBar("TRAILER");
        &PrintToe;
####### END MAIN ########


sub PrintToe {
    &SetUpHelp;
    &PrintHeadToe2("TRAILER",
                  "", 
                  "",
                  "/voy.guide/Monitor_tasks.fm.html",
                  "/cgi-bin/NPH-ping.pl?IH=$nhelp",
                  "");
}

sub DispHelp {
    &SetUpHelp;
    &PrintHeadToe2("NPHEADER",
		      "IPX Ping from: $hostname",
		      "",
		      "/voy.guide/Monitor_tasks.fm.html",
		      "/cgi-bin/NPH-ping.pl?IH=$nhelp",
		      "");
}

sub ipxping {
    local ($ipx_net, $ipx_node, $rep_val) = @_;

    open (FD, "/sbin/ipxping -c $rep_val 0x$ipx_net:$ipx_node 2>&1 | ");
    print "</center>\n";
    print "<pre>\n";
    while (<FD>) {
	print "$_\n";
	&flush(STDOUT);
    }
    print "</pre>\n";
    close(FD);
}

