if (!defined &_SYS_DISKLABEL_H_) {
    eval 'sub _SYS_DISKLABEL_H_ {1;}';
    eval 'sub _PATH_DISKTAB {"/etc/disktab";}';
    eval 'sub DISKTAB {"/etc/disktab";}';
    if (defined &__i386__) {
	eval 'sub LABELSECTOR {1;}';
	eval 'sub LABELOFFSET {0;}';
	eval 'sub OURPART {2;}';
	eval 'sub RAWPART {3;}';
	eval 'sub readMSPtolabel {defined &readMBRtolabel && &readMBRtolabel;}';
    }
    if (!defined &readMSPtolabel) {
	eval 'sub readMSPtolabel {
	    local($a,$b,$c,$d,$e) = @_;
	    eval "";
	}';
    }
    if (defined &tahoe) {
	eval 'sub RAWPART {0;}';
    }
    if (!defined &RAWPART) {
	eval 'sub RAWPART {2;}';
    }
    if (!defined &OURPART) {
	eval 'sub OURPART {defined &RAWPART && &RAWPART;}';
    }
    if (!defined &LABELSECTOR) {
	eval 'sub LABELSECTOR {0;}';
    }
    if (!defined &LABELOFFSET) {
	eval 'sub LABELOFFSET {64;}';
    }
    eval 'sub DISKMAGIC {( 0x82564557);}';
    if (!defined &MAXPARTITIONS) {
	eval 'sub MAXPARTITIONS {8;}';
    }
    eval 'sub LABEL_PART {2;}';
    eval 'sub RAW_PART {2;}';
    eval 'sub SWAP_PART {1;}';
    if (!defined &LOCORE) {
	if ( defined( &KERNEL) || defined( &STANDALONE)) {
	}
	else {
	    eval 'sub d_packname {defined &d_un && &d_un.defined &un_d_packname && &un_d_packname;}';
	    eval 'sub d_boot0 {defined &d_un && &d_un.defined &un_b && &un_b.defined &un_d_boot0 && &un_d_boot0;}';
	    eval 'sub d_boot1 {defined &d_un && &d_un.defined &un_b && &un_b.defined &un_d_boot1 && &un_d_boot1;}';
	}
	eval 'sub NDDATA {5;}';
	eval 'sub NSPARE {5;}';
	eval 'sub p_cpg {defined &__partition_u1 && &__partition_u1.defined &cpg && &cpg;}';
	eval 'sub p_sgs {defined &__partition_u1 && &__partition_u1.defined &sgs && &sgs;}';
    }
    else {
    }
    eval 'sub DTYPE_SMD {1;}';
    eval 'sub DTYPE_MSCP {2;}';
    eval 'sub DTYPE_DEC {3;}';
    eval 'sub DTYPE_SCSI {4;}';
    eval 'sub DTYPE_ESDI {5;}';
    eval 'sub DTYPE_ST506 {6;}';
    eval 'sub DTYPE_HPIB {7;}';
    eval 'sub DTYPE_HPFL {8;}';
    eval 'sub DTYPE_FLOPPY {10;}';
    eval 'sub DSTYPE_INDOSPART {0x8;}';
    eval 'sub DSTYPE_DOSPART {
        local($s) = @_;
        eval "(($s) & 3)";
    }';
    eval 'sub DSTYPE_GEOMETRY {0x10;}';
    if (defined &DKTYPENAMES) {
	eval 'sub DKMAXTYPES {($sizeof{defined &dktypenames && &dktypenames} / $sizeof{defined &dktypenames && &dktypenames[0]} - 1);}';
    }
    eval 'sub FS_UNUSED {0;}';
    eval 'sub FS_SWAP {1;}';
    eval 'sub FS_V6 {2;}';
    eval 'sub FS_V7 {3;}';
    eval 'sub FS_SYSV {4;}';
    eval 'sub FS_V71K {5;}';
    eval 'sub FS_V8 {6;}';
    eval 'sub FS_BSDFFS {7;}';
    eval 'sub FS_MSDOS {8;}';
    eval 'sub FS_BSDLFS {9;}';
    eval 'sub FS_OTHER {10;}';
    eval 'sub FS_HPFS {11;}';
    eval 'sub FS_ISO9660 {12;}';
    eval 'sub FS_BOOT {13;}';
    if (defined &DKTYPENAMES) {
	eval 'sub FSMAXTYPES {($sizeof{defined &fstypenames && &fstypenames} / $sizeof{defined &fstypenames && &fstypenames[0]} - 1);}';
    }
    eval 'sub D_REMOVABLE {0x01;}';
    eval 'sub D_ECC {0x02;}';
    eval 'sub D_BADSECT {0x04;}';
    eval 'sub D_RAMDISK {0x08;}';
    eval 'sub D_CHAIN {0x10;}';
    eval 'sub d_smdflags {defined &d_drivedata && &d_drivedata[0];}';
    eval 'sub D_SSE {0x1;}';
    eval 'sub d_mindist {defined &d_drivedata && &d_drivedata[1];}';
    eval 'sub d_maxdist {defined &d_drivedata && &d_drivedata[2];}';
    eval 'sub d_sdist {defined &d_drivedata && &d_drivedata[3];}';
    eval 'sub d_precompcyl {defined &d_drivedata && &d_drivedata[0];}';
    eval 'sub d_gap3 {defined &d_drivedata && &d_drivedata[1];}';
    eval 'sub d_blind {defined &d_drivedata && &d_drivedata[0];}';
    if (!defined &LOCORE) {
	eval 'sub DOSBBSECTOR {0;}';
	eval 'sub DOSPARTOFF {446;}';
	eval 'sub NDOSPART {4;}';
	eval 'sub DOSPTYP_386BSD {0xa5;}';
	eval 'sub MBR_PTYPE_FreeBSD {0xa5;}';
	eval 'sub DPSECT {
	    local($s) = @_;
	    eval "(($s) & 0x3f)";
	}';
	eval 'sub DPCYL {
	    local($c, $s) = @_;
	    eval "(($c) + ((($s) & 0xc0)<<2))";
	}';
	eval 'sub DIOCGDINFO { &_IOR(ord(\'d\'), 101, struct disklabel);}';
	eval 'sub DIOCSDINFO { &_IOW(ord(\'d\'), 102, struct disklabel);}';
	eval 'sub DIOCWDINFO { &_IOW(ord(\'d\'), 103, struct disklabel);}';
	eval 'sub DIOCGPART { &_IOW(ord(\'d\'), 104, struct partinfo);}';
	eval 'sub DIOCRFORMAT { &_IOWR(ord(\'d\'), 105, struct format_op);}';
	eval 'sub DIOCWFORMAT { &_IOWR(ord(\'d\'), 106, struct format_op);}';
	eval 'sub DIOCSSTEP { &_IOW(ord(\'d\'), 107, int);}';
	eval 'sub DIOCSRETRIES { &_IOW(ord(\'d\'), 108, int);}';
	eval 'sub DIOCWLABEL { &_IOW(ord(\'d\'), 109, int);}';
	eval 'sub DIOCSBAD { &_IOW(ord(\'d\'), 110, struct dkbad);}';
	eval 'sub DIOCSBADSCAN { &_IOW(ord(\'d\'), 111, int);}';
	eval 'sub dkmakeminor {
	    local($unit, $slice, $part) = @_;
	    eval "((($slice) << 16) | (($unit) << 3) | ($part))";
	}';
	eval 'sub dkminor {
	    local($unit, $part) = @_;
	    eval " &dkmakeminor(($unit), 0, ($part))";
	}';
	eval 'sub dkmodpart {
	    local($dev, $part) = @_;
	    eval "((($dev) & ~(defined &dev_t && &dev_t)7) | ($part))";
	}';
	eval 'sub dkmodslice {
	    local($dev, $slice) = @_;
	    eval "((($dev) & ~(defined &dev_t && &dev_t)0x1f0000) | (($slice) << 16))";
	}';
	eval 'sub dkpart {
	    local($dev) = @_;
	    eval "( &minor($dev) & 7)";
	}';
	eval 'sub dkslice {
	    local($dev) = @_;
	    eval "(( &minor($dev) >> 16) & 0x1f)";
	}';
	eval 'sub dktype {
	    local($dev) = @_;
	    eval "(( &minor($dev) >> 21) & 0x7ff)";
	}';
	eval 'sub dkunit {
	    local($dev) = @_;
	    eval "(( &minor($dev) >> 3) & 0x1f)";
	}';
	if (defined &KERNEL) {
	    require 'sys/conf.ph';
	    if (defined &__i386__) {
	    }
	}
    }
    if ( !defined( &KERNEL) && !defined( &LOCORE)) {
	require 'sys/cdefs.ph';
    }
}
1;
